> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pads4.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apiv1viewerclusterget



## OpenAPI

````yaml https://saas.pads365.com/rdx/NDS.Services.Viewer//swagger/v1/swagger.json post /api/v1/Viewer/Cluster/Get
openapi: 3.0.0
info:
  title: NDS.Services.Viewer
  version: 1.0.0
servers:
  - url: https://saas.pads365.com/rdx/NDS.Services.Viewer/
security: []
paths:
  /api/v1/Viewer/Cluster/Get:
    post:
      tags:
        - Cluster
      operationId: Cluster_GetClusters
      requestBody:
        x-name: getClustersRequest
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetClustersRequest'
        required: true
        x-position: 1
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetClustersResult'
components:
  schemas:
    GetClustersRequest:
      type: object
      additionalProperties: false
      properties:
        Filter:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/FilterData'
        Sorting:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/SortData'
        Paging:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/PagingData'
    GetClustersResult:
      allOf:
        - $ref: '#/components/schemas/Result'
        - type: object
          additionalProperties: false
          properties:
            Clusters:
              type: array
              nullable: true
              items:
                $ref: '#/components/schemas/Cluster'
            TotalClusters:
              type: integer
              format: int32
    FilterData:
      type: object
      additionalProperties: false
      properties:
        Ids:
          type: array
          nullable: true
          items:
            type: string
            format: guid
    SortData:
      type: object
      additionalProperties: false
      properties:
        SortBy:
          $ref: '#/components/schemas/SortOptions'
        Descending:
          type: boolean
    PagingData:
      type: object
      additionalProperties: false
      properties:
        Start:
          type: integer
          format: int32
          nullable: true
        Items:
          type: integer
          format: int32
          nullable: true
    Result:
      allOf:
        - $ref: '#/components/schemas/BaseResult'
        - type: object
          additionalProperties: false
          properties:
            Code:
              type: string
              nullable: true
    Cluster:
      type: object
      additionalProperties: false
      required:
        - Name
      properties:
        Id:
          type: string
          format: guid
          nullable: true
        Name:
          type: string
          minLength: 1
        Description:
          type: string
          nullable: true
        Width:
          type: integer
        Height:
          type: integer
        Viewers:
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/Viewer'
    SortOptions:
      type: integer
      description: ''
      x-enumNames:
        - Name
        - Description
      enum:
        - 0
        - 1
    BaseResult:
      type: object
      additionalProperties: false
      properties:
        Succeeded:
          type: boolean
        Message:
          type: string
          nullable: true
    Viewer:
      type: object
      additionalProperties: false
      required:
        - Id
      properties:
        Id:
          type: string
          format: guid
          minLength: 1
        Online:
          type: boolean

````